- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# sbuild-lock.h File Reference

`#include <sbuild/sbuild-custom-error.h>`
`#include <string>`
`#include <sys/time.h>`
`#include <fcntl.h>`
`#include <signal.h>`

Include dependency graph for sbuild-lock.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | sbuild
## Classes
class | sbuild::lock
| Advisory locking. More...
class | sbuild::file_lock
| File lock. More...
class | sbuild::device_lock
| Device lock. More...